Bug 554088 - Review Request: pybox2d - A 2D rigid body simulation library for Python
Summary: Review Request: pybox2d - A 2D rigid body simulation library for Python
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 554089 554090
TreeView+ depends on / blocked
 
Reported: 2010-01-10 12:23 UTC by Sebastian Dziallas
Modified: 2010-01-13 21:34 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-01-13 21:34:34 UTC
tomspur: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Sebastian Dziallas 2010-01-10 12:23:30 UTC
Spec URL: http://sdz.fedorapeople.org/rpmbuild/pybox2d.spec
SRPM URL: http://sdz.fedorapeople.org/rpmbuild/pybox2d-2.0.2-1.20100110svn.fc12.src.rpm

Description: This is a dependency for the Sugar Physics activity.
Koji Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1912034

Comment 1 Sebastian Dziallas 2010-01-10 13:03:58 UTC
Spec URL: http://sdz.fedorapeople.org/rpmbuild/pybox2d.spec
SRPM URL:
http://sdz.fedorapeople.org/rpmbuild/pybox2d-2.0.2-2.20100110svn.fc12.src.rpm

Here's a new build that makes use of setuptools and includes a previously missing file.

Comment 2 Thomas Spura 2010-01-11 08:41:34 UTC
Review:

Good:
- name ok
- license ok
- sources match upstream (diff -r clean)
- BR ok
  (testbed needs some more, but that is not needed)
- rpmlint clean
$ rpmlint pybox2d-2.0.2-2.20100110svn.fc12.src.rpm x86_64/pybox2d-*
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

- %clean is there
- %install ok
  (calm rpmlint down, can't be moved to %prep)
- description ok
- permissions ok
- %files ok
- builds in koji:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1913399


Needswork:
- How to create the tarball...
  Copy paste of your command does not work... Remove the '|' and it'll work.
  'cd pybox2d' before svn export is also missing.
- use global and not define:
  https://fedoraproject.org/wiki/Packaging/Guidelines#.25global_preferred_over_.25define
- why is the group devel/languages?
  Development/Libraries would be more appropriate.
- %doc: please add 'doc/*'
  The online link for the manual is dead... Shipping is the only solution to
  get the manual.

#########################

Change the group to Development/Libraries, the rest is 'should'.


#########################

APPROVED

Comment 3 Sebastian Dziallas 2010-01-11 16:20:26 UTC
New Package CVS Request
=======================
Package Name: pybox2d
Short Description: A 2D rigid body simulation library for Python
Owners: sdz
Branches: F-11 F-12
InitialCC:

Comment 4 Jason Tibbitts 2010-01-13 18:04:24 UTC
CVS done (by process-cvs-requests.py)

Comment 5 Sebastian Dziallas 2010-01-13 21:34:34 UTC
Built in Rawhide - updates submitted.


Note You need to log in before you can comment on or make changes to this bug.